package client

import (
	cpb "code.fbi.h-da.de/danet/gosdn/api/go/gosdn/configurationmanagement"
	"google.golang.org/grpc"
)

var configurationManagementClientConnection *grpc.ClientConn

// ConfigurationManagementClient returns a client for the gRPC ConfigurationManagement service. It takes
// the address of the gRPC endpoint and optional grpc.DialOption
// as argument.
func ConfigurationManagementClient(addr string, opts ...grpc.DialOption) (cpb.ConfigurationManagementServiceClient, error) {
	var err error

	if configurationManagementClientConnection == nil {
		configurationManagementClientConnection, err = grpc.NewClient(addr, opts...)
		if err != nil {
			return nil, err
		}
	}

	return cpb.NewConfigurationManagementServiceClient(configurationManagementClientConnection), nil
}
