package rbac

import (
	"code.fbi.h-da.de/danet/gosdn/controller/interfaces/rbac"
	"code.fbi.h-da.de/danet/gosdn/controller/store"
	"go.mongodb.org/mongo-driver/mongo"
)

// NewRoleStore returns a roleStore.
func NewRoleStore(db *mongo.Database) rbac.RoleStore {
	storeMode := store.GetStoreMode()

	switch storeMode {
	case store.Database:
		return NewDatabaseRoleStore(db)
	default:
		store := NewFileSystemRoleStore()
		return store
	}
}
